Bug 170061 - Gnome CD Player exits messily
Gnome CD Player exits messily
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bastien Nocera
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 17:36 EDT by Tim Camp
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 12:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Camp 2005-10-06 17:36:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
If I have selected "Attempt to eject CD when CD Player exits" from the Preferences menu, when I close the program, a window temporarily appears saying "The window CD Player is not responding". However, this only appears for a short time. It then disappears, my CD is ejected (correctly) and then the CD Player window closes.

If I unselect, the "Attempt to eject CD when CD Player exits", then the CD Player window closes instantly, the CD is not ejected (correctly) and the warning about an unreponsive window is not displayed.

It would seem that when the "Attempt to eject CD when CD Player exits" is selected, the program waits while the CD player ejects the CD. This time of inactivity on the part of the program is interpreted by the operating system as failure of this process.

Version-Release number of selected component (if applicable):
2.6

How reproducible:
Always

Steps to Reproduce:
1. Select "Attempt to eject CD when CD Player exits" from the preferences menu.
2. Play a CD
3. Close the CD Player program
  

Actual Results:  A window temporarily appears saying "The window CD Player is not responding". However, this only appears for a short time. It then disappears, my CD is ejected (correctly) and then the CD Player window closes.

Expected Results:  The warning window should not have appeared. 

Additional info:

My CD player model is:
Pioneer DVD-ROM ATAPI Model DVD-106S 010
Comment 1 Christian Iseli 2007-01-22 05:14:33 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Tim Camp 2007-01-22 18:00:00 EST
I've checked as requested and found that this bug still occurs as described on
an up-to-date FC5 system.

Thanks.
Comment 3 petrosyan 2008-03-10 01:19:32 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 4 Bastien Nocera 2008-03-13 12:13:38 EDT
Solving as WONTFIX as we don't have gnome-cd in Fedora 9 anymore, and bugs
aren't likely to be fixed for Fedora 8.

Note You need to log in before you can comment on or make changes to this bug.